#include<stdio.h>
#include<stdlib.h>
#include<string.h>
void puni(char s[],long n,int d)
{
	int i,cif,p=1;
	for(i=d-1;i>=0;i--)
	{
		cif=n/p%10;
		
		p*=10;
		s[i]=cif+'0';

	}
	s[d]='\0';
}
int brcif(long n)
{   if(n==0)
    return 1;
	int i,br=0;
	long n1=n;
	while(n1>0)
	{
	n1/=10;
	br++;	
	}
	return br;
}
void menjanje(char komb[],char n1[],int d1,char n2[],int d2,char n3[],int d3)
{int i;
	for( i=0;i<d1;i++)
	komb[i]=n1[i];
	for(i=d1;i<d2+d1;i++)
	komb[i]=n2[i-d1];
	for(i=d2+d1;i<d3+d2+d1;i++)
	komb[i]=n3[i-d2-d1];
	int d=d1+d2+d3;
	komb[d]='\0';
}
void izjednaci( char n1[],char n2[], int d)
{
	int i;
	for(i=0;i<d;i++)
	n1[i]=n2[i];
	n1[d]='\0';
	
	}
int main()
{
	long A,B,C;
	scanf("%ld%ld%ld",&A,&B,&C);
	int da=brcif(A);
	int db=brcif(B);
	int dc=brcif(C);

	char a[da],b[db],c[dc];
	puni(a,A,da);
	puni(b,B,db);
	puni(c,C,dc);

	int d=da+db+dc;
	char komb1[d],komb2[d],komb3[d],komb4[d],komb5[d], komb6[d];
	menjanje(komb1,a,da,b,db,c,dc);
	
	menjanje(komb2,a,da,c,dc,b,db);
    
	menjanje(komb3,b,db,a,da,c,dc);
	
	menjanje(komb4,b,db,c,dc,a,da);
	menjanje(komb5,c,dc,a,da,b,db);
	menjanje(komb6,c,dc,b,db,a,da);
char max[d];

	
	izjednaci(max,komb1,d);
	if(strcmp(komb2,max)>0)
	izjednaci(max,komb2,d);
	if(strcmp(komb3,max)>0)
	izjednaci(max,komb3,d);
	if(strcmp(komb4,max)>0)
	izjednaci(max,komb4,d);
	if(strcmp(komb5,max)>0)
	izjednaci(max,komb5,d);
	if(strcmp(komb6,max)>0)
	izjednaci(max,komb6,d);

    printf("%s",max);

return 0;

}